Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.visit
Enum VisitHint

    java.lang.Object
      java.lang.Enum<VisitHint>
          javax.faces.component.visit.VisitHint

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<VisitHint>

    public enum VisitHint

extends java.lang.Enum<VisitHint>

An enum that specifies hints that impact the behavior of a component tree visit.

Since:
  2.0

Enum Constant Summary
`EXECUTE_LIFECYCLE` Hint that indicates that the visit is being performed as part of lifecycle phase execution and as such phase-specific actions (initialization) may be taken.
`SKIP_ITERATION` Hint that indicates that components that normally visit children multiple times (eg.
`SKIP_TRANSIENT` Hint that indicates that only non-transient subtrees should be visited.
`SKIP_UNRENDERED` Hint that indicates that only the rendered subtrees should be visited.

Method Summary
`static VisitHint` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static VisitHint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SKIP_UNRENDERED

    public static final VisitHint SKIP_UNRENDERED

  Hint that indicates that only the rendered subtrees should be visited.

  Since:
    2.0

### SKIP_TRANSIENT

    public static final VisitHint SKIP_TRANSIENT

  Hint that indicates that only non-transient subtrees should be visited.

  Since:
    2.0

### SKIP_ITERATION

    public static final VisitHint SKIP_ITERATION

  Hint that indicates that components that normally visit children multiple times (eg. `UIData`) in an iterative fashion should instead visit each child only one time.

  Since:
    2.1

### EXECUTE_LIFECYCLE

    public static final VisitHint EXECUTE_LIFECYCLE

  Hint that indicates that the visit is being performed as part of lifecycle phase execution and as such phase-specific actions (initialization) may be taken.

  Since:
    2.0

Method Detail

### values

    public static VisitHint[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VisitHint c : VisitHint.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VisitHint valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.